import { Ref, DeepReadonly } from 'vue-demi';
import { MutationFilters as MutationFilters$1, MutationState, Mutation } from '@tanstack/query-core';
import { Q as QueryClient } from './queryClient-hn1RYJHC.js';
import { MaybeRefDeep } from './types.js';

type MutationFilters = MaybeRefDeep<MutationFilters$1>;
declare function useIsMutating(filters?: MutationFilters, queryClient?: QueryClient): Ref<number>;
type MutationStateOptions<TResult = MutationState> = {
    filters?: MutationFilters;
    select?: (mutation: Mutation) => TResult;
};
declare function useMutationState<TResult = MutationState>(options?: MutationStateOptions<TResult>, queryClient?: QueryClient): DeepReadonly<Ref<Array<TResult>>>;

export { type MutationFilters, type MutationStateOptions, useIsMutating, useMutationState };
