import { MaybeRefDeep } from './types.cjs';
import 'vue-demi';

declare const VUE_QUERY_CLIENT = "VUE_QUERY_CLIENT";
declare function getClientKey(key?: string): string;
declare function updateState(state: Record<string, unknown>, update: Record<string, any>): void;
declare function cloneDeep<T>(value: MaybeRefDeep<T>, customize?: (val: MaybeRefDeep<T>, key: string, level: number) => T | undefined): T;
declare function cloneDeepUnref<T>(obj: MaybeRefDeep<T>, unrefGetters?: boolean): T;
declare function shouldThrowError<T extends (...args: Array<any>) => boolean>(throwOnError: boolean | T | undefined, params: Parameters<T>): boolean;

export { VUE_QUERY_CLIENT, cloneDeep, cloneDeepUnref, getClientKey, shouldThrowError, updateState };
